Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class ScriptVariableAnalyzer

- org.codehaus.groovy.tools.shell.util.ScriptVariableAnalyzer

- Class to Class parsing a script to detect all bound and unbound variables. Based on http://glaforge.appspot.com/article/knowing-which-variables-are-bound-or-not-in-a-groovy-script

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ScriptVariableAnalyzer.VariableVisitor` | define a visitor that visits all variable expressions
    `static class` | `ScriptVariableAnalyzer.VisitorClassLoader` | class loader to add our phase operation
    `static class` | `ScriptVariableAnalyzer.VisitorSourceOperation` | custom PrimaryClassNodeOperation to be able to hook our code visitor

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Set<String>` | `getBoundVars(String scriptText)` @deprecated will be removed in 2.5.0, use getBoundVars(java.lang.String, java.lang.ClassLoader)
    `` | `static Set<String>` | `getBoundVars(String scriptText, ClassLoader parent)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @Deprecated static Set<String> getBoundVars(String scriptText)

      deprecated:
        will be removed in 2.5.0, use getBoundVars(java.lang.String, java.lang.ClassLoader)

    - #### static Set<String> getBoundVars(String scriptText, ClassLoader parent)